<Type Name="DiscoveryClientProtocol" FullName="System.Web.Services.Discovery.DiscoveryClientProtocol">
  <TypeSignature Language="C#" Value="public class DiscoveryClientProtocol : System.Web.Services.Protocols.HttpWebClientProtocol, IComponent, IDisposable" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Web.Services</AssemblyName>
    <AssemblyPublicKey></AssemblyPublicKey>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Web.Services.Protocols.HttpWebClientProtocol</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.ComponentModel.IComponent</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.IDisposable</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="Discover">
      <MemberSignature Language="C#" Value="public DiscoveryDocument Discover (string url);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.DiscoveryDocument</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="url" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="url">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'DiscoveryDocument'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DiscoverAny">
      <MemberSignature Language="C#" Value="public DiscoveryDocument DiscoverAny (string url);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.DiscoveryDocument</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="url" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="url">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'DiscoveryDocument'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ReadAll">
      <MemberSignature Language="C#" Value="public DiscoveryClientResultCollection ReadAll (string topLevelFilename);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.DiscoveryClientResultCollection</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="topLevelFilename" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="topLevelFilename">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'DiscoveryClientResultCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ResolveAll">
      <MemberSignature Language="C#" Value="public void ResolveAll ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ResolveOneLevel">
      <MemberSignature Language="C#" Value="public void ResolveOneLevel ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteAll">
      <MemberSignature Language="C#" Value="public DiscoveryClientResultCollection WriteAll (string directory, string topLevelFilename);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.DiscoveryClientResultCollection</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="directory" Type="System.String" />
        <Parameter Name="topLevelFilename" Type="System.String" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="directory">To be added: an object of type 'string'</param>
        <param name="topLevelFilename">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'DiscoveryClientResultCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public DiscoveryClientProtocol ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DiscoveryClientProtocol'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Documents">
      <MemberSignature Language="C#" Value="public DiscoveryClientDocumentCollection Documents { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.DiscoveryClientDocumentCollection</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DiscoveryClientDocumentCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Errors">
      <MemberSignature Language="C#" Value="public DiscoveryExceptionDictionary Errors { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.DiscoveryExceptionDictionary</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DiscoveryExceptionDictionary'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="References">
      <MemberSignature Language="C#" Value="public DiscoveryClientReferenceCollection References { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.DiscoveryClientReferenceCollection</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DiscoveryClientReferenceCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AdditionalInformation">
      <MemberSignature Language="C#" Value="public System.Collections.IList AdditionalInformation { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.IList</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.Collections.IList" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Download">
      <MemberSignature Language="C#" Value="public System.IO.Stream Download (ref string url, ref string contentType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.IO.Stream</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="url" Type="System.String&amp;" RefType="ref" />
        <Parameter Name="contentType" Type="System.String&amp;" RefType="ref" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="url">a <see cref="T:System.String&amp;" /></param>
        <param name="contentType">a <see cref="T:System.String&amp;" /></param>
        <returns>a <see cref="T:System.IO.Stream" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Download">
      <MemberSignature Language="C#" Value="public System.IO.Stream Download (ref string url);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.IO.Stream</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="url" Type="System.String&amp;" RefType="ref" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="url">a <see cref="T:System.String&amp;" /></param>
        <returns>a <see cref="T:System.IO.Stream" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>